{ lib, config, pkgs, ... }:

lib.mkIf (lib.elem "ssh" config.machine.services) {
  programs.ssh = {
    enableAskPassword = true;
    askPassword = "${pkgs.wayprompt}/bin/wayprompt-ssh-askpass";
    startAgent = true;
  };
}
